<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<!--
	 Description : feuille de style pour la gnration de la strucutre ddie  une page standard XHTML (XML vers HTML)
	 Auteur : David ROUSSE, d.rousse@wanadoo.fr
	 Date derniere modification : 01/01/2004
	-->

	<!-- Dclaration des import -->
	<xsl:import href="variables.xsl"/>
	<xsl:import href="logos.xsl"/>
	<xsl:import href="document.xsl"/>
	<xsl:import href="printfriendly.xsl"/>

	<!-- Dclaration du format de sortie -->
	<xsl:output indent="yes" doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN" encoding="ISO-8859-1" method="html" media-type="text/html" />

	<xsl:template match="/">
		<xsl:apply-templates select="site"/>
	</xsl:template> 
	
	<xsl:template match="site">
		<html>
			<head>
				<xsl:comment>================= start Head ==================</xsl:comment>
				<xsl:if test="$noprintfriendly = ''">
					<link type="text/css" href="{$skin-css-dir}/style_page.css" rel="stylesheet"/>
					<link type="text/css" href="{$skin-css-dir}/style_site.css" rel="stylesheet"/>
				</xsl:if>
				<xsl:if test="not($noprintfriendly = '')">
					<link type="text/css" href="{$skin-css-dir}/style_print.css" rel="stylesheet"/>
					<link type="text/css" href="{$skin-css-dir}/style_site.css" rel="stylesheet"/>
				</xsl:if>
				<title>
					<xsl:value-of select="document/header/title"/>
				</title>
				<xsl:comment>================= end Head ==================</xsl:comment>
			</head>
			<body class="composite" bgcolor="white">
				<xsl:comment>================= start Banner ==================</xsl:comment>
				<div id="banner">
					<table border="0" summary="banner" cellspacing="0" cellpadding="8" width="100%">
						<tbody>
							<tr>
								<xsl:comment>================= start Left Logo ==================</xsl:comment>
								<xsl:if test="$config/left-logo">
									<td align="left">
										<div class="leftLogo">
											<xsl:call-template name="renderlogo">
												<xsl:with-param name="name" select="$config/left-logo-name"/>
												<xsl:with-param name="url" select="$config/left-logo-url"/>
												<xsl:with-param name="logo" select="$config/left-logo"/>
												<xsl:with-param name="root" select="$skin-img-dir"/>
												<xsl:with-param name="align" select="$logo-left"/>
											</xsl:call-template>
										</div>
									</td>
								</xsl:if>
								<xsl:comment>================= end Left Logo ==================</xsl:comment>
								<xsl:comment>================= start Right Logo ==================</xsl:comment>
								<xsl:if test="$config/right-logo">
									<td align="right">
										<div class="rightLogo">
											<xsl:call-template name="renderlogo">
												<xsl:with-param name="name" select="$config/right-logo-name"/>
												<xsl:with-param name="url" select="$config/right-logo-url"/>
												<xsl:with-param name="logo" select="$config/right-logo"/>
												<xsl:with-param name="root" select="$skin-img-dir"/>
												<xsl:with-param name="align" select="$logo-right"/>												
											</xsl:call-template>
										</div>
									</td>
								</xsl:if>
								<xsl:comment>================= end Right Logo ==================</xsl:comment>
							</tr>
						</tbody>
					</table>
				</div>
				<xsl:comment>================= end Banner ==================</xsl:comment>
				<xsl:comment>================= start Main ==================</xsl:comment>
				<table id="breadcrumbs" summary="nav" border="0" cellspacing="0" cellpadding="0" width="100%">
					<tbody>
						<xsl:comment>================= start Status ==================</xsl:comment>
						<tr class="status">
							<td>
								<xsl:comment>================= start BreadCrumb ==================</xsl:comment>
								<a href="{$config/url-main-site}">Accueil</a>
								<xsl:comment>================= end BreadCrumb ==================</xsl:comment>
							</td>
							<xsl:if test="$config/source-link">
								<td align="right">
									<xsl:comment>================= start Sources ==================</xsl:comment>
									<p align="right"><a href="{$config/url-source-link}"><xsl:value-of select="$config/source-link"/></a></p>
									<xsl:comment>================= end Sources ==================</xsl:comment>
								</td>
							</xsl:if>
						</tr>
					</tbody>
				</table>
				<xsl:comment>================= end Status ==================</xsl:comment>
				<table border="0" summary="" cellspacing="5" cellpadding="8" width="100%" id="main">
					<tbody>
						<tr valign="top">
							<xsl:comment>================= start Menu ==================</xsl:comment>
								<xsl:comment>The menu is no generated</xsl:comment>
							<xsl:comment>================= end Menu ==================</xsl:comment>
							<xsl:comment>================= start Content ==================</xsl:comment>
							<td>
								<div id="bodycol">
									<div class="app">
										<div align="center">
											<table summary="" class="title" cellspacing="0">
												<tr>
													<td valign="middle" width="75%">
														<h1 align="center">
															<xsl:value-of select="document/header/title"/>
														</h1>
													</td>
													<td>
														<table>
															<xsl:call-template name="printfriendly">
																<xsl:with-param name="noprintfriendly" select="$noprintfriendly"/>
															</xsl:call-template>
														</table>
													</td>
												</tr>
											</table>
											<xsl:if test="document/header/subtitle">
												<h2>
													<xsl:value-of select="document/header/subtitle"/>
												</h2>
											</xsl:if>
										</div>
										<xsl:apply-templates/>
									</div>
								</div>
							</td>
							<xsl:comment>================= end Content ==================</xsl:comment>
						</tr>
					</tbody>
				</table>
				<xsl:comment>================= end Main ==================</xsl:comment>
				<xsl:comment>================= start Footer ==================</xsl:comment>
				<div id="footer">
					<table border="0" width="100%" cellpadding="4" cellspacing="0" summary="footer">
						<tbody>
							<tr>
								<xsl:comment>================= start Copyright ==================</xsl:comment>
								<td colspan="2">
									<div align="center">
										<div class="copyright">
              Copyright &#169; <xsl:value-of select="$config/year"/>&#160;<xsl:value-of select="$config/vendor"/>. Tous droits rservs.
            </div>
									</div>
								</td>
								<xsl:comment>================= end Copyright ==================</xsl:comment>
							</tr>
							<tr>
								<td align="left">
									<xsl:comment>================= start Host ==================</xsl:comment>
									<xsl:if test="$config/host-logo and not($config/host-logo = '')">
										<div align="left">
											<div class="host">
												<xsl:call-template name="renderlogo">
													<xsl:with-param name="name" select="$config/host-name"/>
													<xsl:with-param name="url" select="$config/host-url"/>
													<xsl:with-param name="logo" select="$config/host-logo"/>
													<xsl:with-param name="root" select="$skin-img-dir"/>
												</xsl:call-template>
											</div>
										</div>
									</xsl:if>
									<xsl:comment>================= end Host ==================</xsl:comment>
									<xsl:comment>================= start Wanadoo Counter ==================</xsl:comment>
									<xsl:if test="$counter = 'yes'">
										<div align="left">
											<script language="javascript" src="{$skin-css-dir}/counter.js" type="text/javascript"/>
										</div>
									</xsl:if>
									<xsl:comment>================= end Wanadoo Counter ==================</xsl:comment>
								</td>
								<td align="right">
									<xsl:comment>================= start Credits ==================</xsl:comment>
									<div align="right">
										<div class="credit">
											<xsl:if test="$compliancelogos = 'yes'">
												<xsl:call-template name="compliancy-logos"/>
												<xsl:if test="$config/credits">
													<xsl:for-each select="$config/credits/credit[not(@role='pdf')]">
														<xsl:call-template name="renderlogo">
															<xsl:with-param name="name" select="name"/>
															<xsl:with-param name="url" select="url"/>
															<xsl:with-param name="logo" select="image"/>
															<xsl:with-param name="root" select="$skin-img-dir"/>
															<xsl:with-param name="width" select="width"/>
															<xsl:with-param name="height" select="height"/>
														</xsl:call-template>
													</xsl:for-each>
												</xsl:if>
											</xsl:if>
										</div>
									</div>
									<xsl:comment>================= end Credits ==================</xsl:comment>
								</td>
							</tr>
						</tbody>
					</table>
				</div>
				<xsl:comment>================= end Footer ==================</xsl:comment>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>