<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<!--
	 Description : feuille de style contenant les variables utilises dans les templates de gnration d'une page standard XHTML (XML vers HTML), 
	 tout les chemins sont exprims  partir de l'emplacemetn du XHTML rsultat
	 Auteur : David ROUSSE, d.rousse@wanadoo.fr
	 Date derniere modification : 01/01/2004
	-->

	<!-- Emplacement du fichier de configuration -->
	<xsl:variable name="config-file" select="'../xml/config.xml'"/>
	<!-- Element racine du fichier de configuration -->
	<xsl:variable name="config" select="document($config-file)/config"/>
	<!-- Valoriser noprintfriendly afin de ne pas faire appatre le lien "Version imprimable" -->	
	<xsl:variable name="noprintfriendly">
		<xsl:text></xsl:text>
	</xsl:variable>
	<!-- Mettre le nom du fichier dsir sans extension pour la version imprimable -->
	<xsl:variable name="filename-printfriendly">
		<xsl:text>index_print</xsl:text>
	</xsl:variable>
	<!-- Valoriser counter afin de ne pas faire appatre le compteur Wanadoo en bas  gauche -->	
	<xsl:variable name="counter">
		<xsl:text>yes</xsl:text>
	</xsl:variable>
	<!-- Valoriser counter afin de ne pas faire appatre le compteur Wanadoo en bas  droite -->		
	<xsl:variable name="compliancelogos">
		<xsl:text>yes</xsl:text>
	</xsl:variable>
	<!-- Sources de l'arborescence par rapport au XHTML gnr -->
	<xsl:variable name="root">
		<xsl:text>./</xsl:text>
	</xsl:variable>
	<!-- Chemin des images -->	
	<xsl:variable name="skin-img-dir" select="concat(string($root), 'sourcesxml/img')"/>
	<!-- Chemin des feuilles CSS -->	
	<xsl:variable name="skin-css-dir" select="concat(string($root), 'sourcesxml/css')"/>
	<!-- URL du site, utilise  gauche de la barre de navigation -->	
	<xsl:variable name="url-main-site" select="$config/group-url"/>
	<!-- Alignement du logo en haut  gauche -->
	<xsl:variable name="logo-left">
		<xsl:text>left</xsl:text>
	</xsl:variable>
	<!-- Alignement du logo en haut  droite -->	
	<xsl:variable name="logo-right">
		<xsl:text>right</xsl:text>
	</xsl:variable>

</xsl:stylesheet>
